Skip to main content
GET
/
data
/
projects
/
{projectId}
/
cache
/
{cacheId}
/
status
Get Cache Status
curl --request GET \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/cache/{cacheId}/status \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "status": "RUNNING",
  "catalogId": "<string>",
  "schemaName": "<string>",
  "tableName": "<string>",
  "lastIncrementalCacheExecution": {
    "id": "<string>",
    "status": "<string>",
    "error": {},
    "progress": {
      "numberOfCachedRecords": 123,
      "numberOfInsertedRecords": 123,
      "numberOfUpdatedRecords": 123,
      "numberOfDeletedRecords": 123,
      "lastOffset": "<string>",
      "lastCacheTxId": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "finishedAt": "2023-11-07T05:31:56Z"
  },
  "lastFullRefreshCacheExecution": {
    "id": "<string>",
    "status": "<string>",
    "error": {},
    "progress": {
      "numberOfCachedRecords": 123,
      "numberOfInsertedRecords": 123,
      "numberOfUpdatedRecords": 123,
      "numberOfDeletedRecords": 123,
      "lastOffset": "<string>",
      "lastCacheTxId": "<string>"
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "finishedAt": "2023-11-07T05:31:56Z"
  },
  "cacheActionLogs": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "action": "<string>",
      "message": "<string>",
      "cacheType": "<string>",
      "isScheduled": true
    }
  ],
  "projectId": "<string>"
}

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

The unique identifier of the project that owns the cache

cacheId
string
required

The unique identifier of the cache to check (UUID format)

Query Parameters

excludeLogs
boolean

When true, omits the cacheActionLogs array from the response for a lighter payload. Defaults to false.

Response

Cache status retrieved successfully.

id
string

The ID of the cache.

status
enum<string>

The status of the cache. RUNNING, CANCELLED, FAILED, COMPLETED, DELETED, NOT_INITIALIZED

Available options:
RUNNING,
CANCELLED,
FAILED,
COMPLETED,
DELETED,
NOT_INITIALIZED
catalogId
string

The ID of the catalog that the cache belongs to.

schemaName
string

The name of the schema that the cache belongs to.

tableName
string

The name of the table that the cache belongs to.

lastIncrementalCacheExecution
object
lastFullRefreshCacheExecution
object
cacheActionLogs
object[]

The list of cache action logs

projectId
string

The ID of the project that the cache belongs to.